import javax.servlet.*;
import javax.servlet.http.*;

public class ServletListener extends HttpServlet implements ServletContextListener {

   private ServletContext context = null;

   public void contextInitialized(ServletContextEvent event) {
      context = event.getServletContext();

      Integer counter = new Integer(0);
      context.setAttribute("Counter", counter);
      context.log("Created Counter");
   }

   public void contextDestroyed(ServletContextEvent event) {
      event.getServletContext().removeAttribute("Counter");
   }
}

